{
  "name": "SagaCare",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "start": "concurrently \"npm run serve:dev\"",
    "serve:dev": "cross-env NODE_ENV=development dotenv -e .env.dev.serve vue-cli-service serve",
    "serve:borui": "cross-env NODE_ENV=development dotenv -e .env.borui.serve vue-cli-service serve",
    "build": "cross-env NODE_ENV=production  dotenv -e .env.prod.build vue-cli-service build",
    "test:unit": "vue-cli-service test:unit",
    "test:e2e": "vue-cli-service test:e2e",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "@dragndrop/vue-dropzone": "0.0.4",
    "@tinymce/tinymce-vue": "^4.0.0",
    "axios-mapper": "^0.5.4",
    "compression-webpack-plugin": "^5.0.0",
    "core-js": "^3.4.0",
    "crypto-ts": "^1.0.2",
    "default-passive-events": "^2.0.0",
    "driver.js": "^0.9.8",
    "echarts": "^5.3.0",
    "faker": "^5.1.0",
    "file-saver": "^2.0.5",
    "hammerjs": "^2.0.8",
    "js-cookie": "^2.2.1",
    "koa": "^2.13.0",
    "koa-body": "^4.2.0",
    "koa-logger": "^3.2.1",
    "koa-router": "^10.0.0",
    "koa2-cors": "^2.0.6",
    "lib-flexible": "^0.3.2",
    "log4js": "^6.3.0",
    "mddir": "^1.1.1",
    "path-to-regexp": "^6.2.0",
    "postcss-pxtorem": "^5.1.1",
    "qrcode.vue": "^3.3.3",
    "reflect-metadata": "^0.1.13",
    "tinymce": "5.6.2",
    "vant": "^3.4.5",
    "vue": "^3.2.1",
    "vue-class-component": "^8.0.0-0",
    "vue-draggable-next": "^2.0.1",
    "vue-image-crop-upload": "^2.5.0",
    "vue-property-decorator": "^9.1.2",
    "vue-router": "4.0",
    "vue-xss": "^1.0.4",
    "vue3-count-to": "^1.0.7",
    "vuex": "^4.0.0-0",
    "vuex-module-decorators": "^1.0.1",
    "vuex-persistedstate": "^4.0.0-beta.1",
    "xss": "^1.0.11"
  },
  "devDependencies": {
    "@types/clipboard": "^2.0.1",
    "@types/faker": "^5.1.5",
    "@types/file-saver": "^2.0.1",
    "@types/jest": "^24.0.19",
    "@types/js-cookie": "^2.2.6",
    "@types/koa": "^2.11.6",
    "@types/koa-logger": "^3.1.1",
    "@types/koa-router": "^7.4.1",
    "@types/koa2-cors": "^2.0.1",
    "@types/lodash": "^4.14.167",
    "@types/node": "^14.14.11",
    "@types/nprogress": "^0.2.0",
    "@types/sortablejs": "^1.10.6",
    "@types/tinymce": "^4.6.0",
    "@typescript-eslint/eslint-plugin": "^2.33.0",
    "@typescript-eslint/parser": "^2.33.0",
    "@vue/cli-plugin-babel": "~4.5.0",
    "@vue/cli-plugin-eslint": "~4.5.0",
    "@vue/cli-plugin-router": "~4.5.0",
    "@vue/cli-plugin-typescript": "~4.5.0",
    "@vue/cli-plugin-unit-jest": "~4.5.0",
    "@vue/cli-plugin-vuex": "~4.5.0",
    "@vue/cli-service": "~4.5.0",
    "@vue/compiler-sfc": "^3.0.0",
    "@vue/eslint-config-standard": "^5.1.2",
    "@vue/eslint-config-typescript": "^5.0.2",
    "@vue/test-utils": "^2.0.0-0",
    "babel-loader": "^8.2.2",
    "concurrently": "^5.3.0",
    "cross-env": "^7.0.3",
    "dotenv-cli": "^4.0.0",
    "eslint": "^6.7.2",
    "eslint-plugin-import": "^2.20.2",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-standard": "^4.0.0",
    "eslint-plugin-vue": "^7.0.0-0",
    "lint-staged": "^9.5.0",
    "postcss-plugin-px2rem": "^0.8.1",
    "postcss-px2rem-exclude": "^0.0.6",
    "sass": "^1.26.5",
    "sass-loader": "^8.0.2",
    "style-loader": "^2.0.0",
    "style-resources-loader": "^1.4.1",
    "ts-import-plugin": "^2.0.0",
    "ts-node-dev": "^1.0.0",
    "typescript": "^4.5.3",
    "uglifyjs-webpack-plugin": "^2.2.0",
    "vue-cli-plugin-style-resources-loader": "^0.1.4",
    "vue-jest": "^5.0.0-alpha.8",
    "webpackbar": "^5.0.0-3"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,vue,ts,tsx}": [
      "vue-cli-service lint",
      "git add"
    ]
  }
}
